
%global meadversion 1.0.2
%global namedversion 1.0.2.Final-redhat-00002
%global meadalpha .Final_redhat_00002
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00002

%{?scl:%scl_package jboss-saaj-api_1.4_spec} 
%{!?scl:%global pkg_name %{name}}

%bcond_with javadoc
%bcond_without mead

%define maven_version 1.0.2.Final-redhat-00002

Name:           %{?scl_prefix}jboss-saaj-api_1.4_spec
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
%if 0
Obsoletes:      %{?scl_prefix}jboss-saaj-api_1.3_spec
%endif
Summary:        SOAP with Attachments API for Java 1.4
Group:          Development/Java

%if %with mead
Source100: jboss-saaj-api_1.4_spec-1.0.2.Final-redhat-00002-project-sources.tar.gz
Source102: jboss-saaj-api_1.4_spec-1.0.2.Final-redhat-00002.pom
Source103: jboss-saaj-api_1.4_spec-1.0.2.Final-redhat-00002.jar
Source104: jboss-saaj-api_1.4_spec-1.0.2.Final-redhat-00002-sources.jar
%endif

License:        CDDL-1.0 or GPLv2 with exceptions
URL:            https://github.com/jboss/jboss-saaj-api_spec
BuildArch:      noarch
BuildRoot:      %{_tmppath}/jboss-saaj-api_1.4_spec-%{namedversion}-%{release}-root

%description
The SOAP with Attachments API for Java Version 1.4 classes.

%if %with javadoc
%package javadoc
Summary:        Javadoc for jboss-saaj-api_1.4_spec
Group:          Development/Documentation

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n jboss-saaj-api_1.4_spec-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jboss-saaj-api_1.4_spec-%{namedversion}.jar %{buildroot}%{_javadir}/jboss-saaj-api_1.4_spec-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jboss-saaj-api_1.4_spec-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jboss-saaj-api_1.4_spec-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jboss-saaj-api_1.4_spec-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jboss-saaj-api_1.4_spec-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jboss-saaj-api_1.4_spec-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jboss-saaj-api_1.4_spec-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jboss-saaj-api_1.4_spec-%{namedversion} -x META-INF/\*
%{__ln_s} jboss-saaj-api_1.4_spec-%{namedversion} %{buildroot}%{_javadocdir}/jboss-saaj-api_1.4_spec
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc README.md
%{_javadir}/jboss-saaj-api_1.4_spec-%{namedversion}.jar
%{_javadir}/jboss-saaj-api_1.4_spec.jar
%if %with javadoc
%exclude %{_javadir}/jboss-saaj-api_1.4_spec-%{namedversion}-javadoc.jar
%exclude %{_javadir}/jboss-saaj-api_1.4_spec-javadoc.jar
%endif
%{_javadir}/jboss-saaj-api_1.4_spec-%{namedversion}-sources.jar
%{_javadir}/jboss-saaj-api_1.4_spec-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jboss-saaj-api_1.4_spec-%{namedversion}
%{_javadocdir}/jboss-saaj-api_1.4_spec
%{_javadir}/jboss-saaj-api_1.4_spec-%{namedversion}-javadoc.jar
%{_javadir}/jboss-saaj-api_1.4_spec-javadoc.jar
%endif

%changelog
* Fri Feb 14 2020 Yong Yang <yyang@redhat.com> - 1.0.2-1.Final_redhat_00002.1
- 1.0.2.Final-redhat-00002

* Fri Nov 15 2019 Yong Yang <yyang@redhat.com> - 1.0.1-1.Final_redhat_00001.1
- RPM wrapper build 1.0.1.Final-redhat-00001

* Thu Oct 31 2019 Permaine Cheung <pcheung@redhat.com> - 1.0.0-3.Final_redhat_00001.1
- Remove Obsoletes

* Mon Sep 30 2019 Yong Yang <yyang@redhat.com> - 1.0.0-2.Final_redhat_00001.1
- RPM wrapper build 1.0.0.Final-redhat-00001

* Mon Sep 30 2019 Yong Yang <yyang@redhat.com> - 1.0.0-1.Final_redhat_00001.1
- RPM wrapper build 1.0.0.Final-redhat-00001

* Mon Sep 30 2019 Yong Yang <yyang@redhat.com> - 1.0.0-1.Final_redhat_00001.1
- 1.0.0.Final-redhat-00001 for eap 7.3.0
